angular.module('app.settings').controller('SimpleFilterByCorrelationCtrl', function ($rootScope, $scope, $timeout, AppService, SQConstants, SQEvents, FilterByCorrelationService, L) {
    console.log("SimpleFilterByCorrelation controller initialized");

    function init() {
        loaded = false;

        FilterByCorrelationService.loadSettings();

        $timeout(function () {
            loaded = true;
        });
    }

    $scope.showAdvancedSettings = function (event) {
        AppService.switchToPanel('settings');
        event.stopPropagation();
        $timeout(tabsShowHiddenTabs, 0, false);
    }

    $scope.settingsChanged = function(){
        FilterByCorrelationService.saveSettings();
        AppService.updateTaskXML();
    }

    //- Event Handlers --------------------------------------------------------------

    function onEvent(event, data){
        try { $scope.$digest(); } catch(er) {}
    }
    
    $scope.$on("$destroy", function(){
        SQEvents.removeListener(listenerId);
    });

    //- Initialization --------------------------------------------------------------

    var loaded = false;
    
    $scope.config = FilterByCorrelationService.config;    

    $scope.condGridInstance = {};
    
    var listenerId = "SimpleFilterByCorrelationCtrl";
    SQEvents.addListener(listenerId, [SQEvents.get('PROJECT_BEFORE_START')], onEvent);

});